## r-cran-r.devices 2.17.0+ds

=== DESCRIPTION ===
Package: R.devices
Version: 2.17.0
Depends: R (>= 2.14.0)
Imports: grDevices, R.methodsS3 (>= 1.8.1), R.oo (>= 1.24.0), R.utils
        (>= 2.10.1), base64enc (>= 0.1-2)
Suggests: digest (>= 0.6.13), Cairo (>= 1.5-9), R.rsp
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Title: Unified Handling of Graphics Devices
Description: Functions for creating plots and image files in a unified way
    regardless of output format (EPS, PDF, PNG, SVG, TIFF, WMF, etc.). Default
    device options as well as scales and aspect ratios are controlled in a uniform
    way across all device types. Switching output format requires minimal changes
    in code. This package is ideal for large-scale batch processing, because it
    will never leave open graphics devices or incomplete image files behind, even on
    errors or user interrupts.
License: LGPL (>= 2.1)
URL: https://github.com/HenrikBengtsson/R.devices
BugReports: https://github.com/HenrikBengtsson/R.devices/issues
LazyLoad: TRUE
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-19 17:10:10 UTC; hb
Repository: CRAN
Date/Publication: 2021-01-19 18:30:06 UTC

=== debian/changelog ===
r-cran-r.devices (2.17.0+ds-3) unstable; urgency=medium

  * debian/clean
    - Clean up generated vignette files.
  * debian/control
    - Add r-cran-r.rsp to Build-Depends.
    - Add texinfo to Build-Depends; needed for texi2dvi for generating
      vignette.
    - Add cm-super to Build-Depends; prevents "Font tcrm1000 at 600 not
      found" error while generating vignette.
  * debian/patches/reproducible-pdf.patch
    - New patch; suppress PDF info in vignette for reproducibility.
  * debian/rules
    - Stop generating vignette using pdflatex and pre-generated .tex file.
      It will be built using R.rsp, which is now in Debian.
    - Use dh_vignette to generate vignette.
    - Run dh_auto_install before dh_vignette so R.devices is available for
      generatating vignette.
    - Convert override_dh_auto_install target to
      execute_before_dh_auto_install.
  * debian/source/include-binaries
    - Remove file; no longer needed.
  * debian/vignettes/*
    - Remove files; no longer needed.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 11 Dec 2021 22:41:39 -0500

r-cran-r.devices (2.17.0+ds-2) unstable; urgency=medium

  * Source-only upload for migration to testing.
  * debian/{control,copyright}
    - Update my email address; now a Debian Developer.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 02 Dec 2021 14:04:28 -0500

r-cran-r.devices (2.17.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #996213).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 12 Oct 2021 09:12:27 -0400

=== debian/control ===
Source: r-cran-r.devices
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: cm-super,
               debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-base64enc,
               r-cran-r.methodss3,
               r-cran-r.oo,
               r-cran-r.rsp,
               r-cran-r.utils,
               texinfo,
               texlive-latex-base,
               texlive-latex-recommended
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.devices
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.devices.git
Homepage: https://cran.r-project.org/package=R.devices
Rules-Requires-Root: no

Package: r-cran-r.devices
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: unified handling of graphics devices in R
 Functions for creating plots and image files in a unified way regardless
 of output format (EPS, PDF, PNG, SVG, TIFF, WMF, etc.). Default device
 options as well as scales and aspect ratios are controlled in a uniform
 way across all device types. Switching output format requires minimal
 changes in code. This package is ideal for large-scale batch processing,
 because it will never leave open graphics devices or incomplete image
 files behind, even on errors or user interrupts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with vignette --buildsystem R

export R_LIBS = debian/r-cran-r.devices/usr/lib/R/site-library

execute_before_dh_vignette:
	rm -rf build # prevents "cannot open file" error (TODO: why?)
	dh_auto_install # need R.devices to generate vignette and exdata

inst/exdata:
	mkdir -p $@

# generate exdata .rds file for capturePlot test

debian/R-graphics-engine: debian/R-graphics-engine.c
	$(CC) $(CPPFLAGS) -I/usr/share/R/include $(CFLAGS) $(LDFLAGS) $< -lR \
		-o $@

execute_before_dh_auto_install: debian/R-graphics-engine inst/exdata
	$(eval ENGINE := $(shell debian/R-graphics-engine))
	Rscript debian/generate-exdata.R $(ENGINE)

=== debian/tests/control ===
Tests: run-unit-test
Depends: r-cran-digest, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
https://cloud.r-project.org/src/contrib/R.devices@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-r.devices 2.17.1+ds

=== debian/changelog ===
r-cran-r.devices (2.17.1+ds-1) unstable; urgency=medium

  * New upstream relesae.
  * debian/gbp.conf
    - Remove "debian-branch" setting; unnecessary since we now use "master",
      which is the default value.
  * debian/control
    - Bump Standards-Version to 4.6.1.
  * debian/copyright
    - Update my copyright years.
  * debian/docs
    - Update filename for NEWS; now NEWS.md.
  * debian/patches/reproducible-pdf.patch
    - Stop suppressing PDF metadata in vignetted; applied upstream.
    - Drop timing info from vignette for reproducibiliy.
  * debian/rules
    - Export HOME; needed by dh_vignette.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 21 Jun 2022 15:28:15 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                texinfo,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.devices
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.devices.git
 Homepage: https://cran.r-project.org/package=R.devices

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 	dh $@ --with vignette --buildsystem R
 
 export R_LIBS = debian/r-cran-r.devices/usr/lib/R/site-library
+
+# need HOME for dh_vignette (related: #1012543)
+export HOME = $(CURDIR)/debian/.debhelper/generated/_source/home
 
 execute_before_dh_vignette:
 	rm -rf build # prevents "cannot open file" error (TODO: why?)

## r-cran-r.devices 2.17.2+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: R.devices
-Version: 2.17.0
+Version: 2.17.2
 Depends: R (>= 2.14.0)
 Imports: grDevices, R.methodsS3 (>= 1.8.1), R.oo (>= 1.24.0), R.utils
         (>= 2.10.1), base64enc (>= 0.1-2)
@@ -18,11 +18,11 @@
     will never leave open graphics devices or incomplete image files behind, even on
     errors or user interrupts.
 License: LGPL (>= 2.1)
-URL: https://github.com/HenrikBengtsson/R.devices
+URL: https://henrikbengtsson.github.io/R.devices/,
+        https://github.com/HenrikBengtsson/R.devices
 BugReports: https://github.com/HenrikBengtsson/R.devices/issues
 LazyLoad: TRUE
-RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-01-19 17:10:10 UTC; hb
+Packaged: 2024-01-29 04:44:38 UTC; henrik
 Repository: CRAN
-Date/Publication: 2021-01-19 18:30:06 UTC
+Date/Publication: 2024-01-29 13:30:11 UTC

=== debian/changelog ===
r-cran-r.devices (2.17.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog
    - Bump Standards-Version to 4.6.2.
  * debian/patches/reproducible-pdf.patch
    - Remove patch; applied upstream
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 31 Jan 2024 08:39:55 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                texinfo,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.devices
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.devices.git
 Homepage: https://cran.r-project.org/package=R.devices

## r-cran-r.devices 2.17.3+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: R.devices
-Version: 2.17.2
+Version: 2.17.3
 Depends: R (>= 2.14.0)
 Imports: grDevices, R.methodsS3 (>= 1.8.1), R.oo (>= 1.24.0), R.utils
         (>= 2.10.1), base64enc (>= 0.1-2)
@@ -22,7 +22,8 @@
         https://github.com/HenrikBengtsson/R.devices
 BugReports: https://github.com/HenrikBengtsson/R.devices/issues
 LazyLoad: TRUE
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2024-01-29 04:44:38 UTC; henrik
+Packaged: 2025-12-17 16:55:24 UTC; hb
 Repository: CRAN
-Date/Publication: 2024-01-29 13:30:11 UTC
+Date/Publication: 2025-12-18 06:11:04 UTC

=== debian/changelog ===
r-cran-r.devices (2.17.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.2.
    - Drop redundant Rules-Requires-Root field.
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 22 Dec 2025 05:50:37 -0500

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
                texinfo,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.devices
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.devices.git
 Homepage: https://cran.r-project.org/package=R.devices
-Rules-Requires-Root: no
 
 Package: r-cran-r.devices
 Architecture: all
